Subject: [OAUTH-WG] Bearer specification title

From: Mike Jones <[email-masked]>
Date: Thu, 17 May 2012 22:12:54 +0000

Dear working group members:

I'm going through the remaining open issues that have been raised about the Bearer spec so as to be ready to publish an updated draft once the outstanding consensus call issues are resolved.

Between -25 and -26 of the Core spec, the title was changed from "The OAuth 2.0 Authorization Protocol" to "The OAuth 2.0 Authorization Framework".  Currently the Bearer spec's title is: "The OAuth 2.0 Authorization Protocol: Bearer Tokens".  I'm planning to make the parallel change to keep the Bearer spec in sync with the Core spec - changing the word "Protocol" to "Framework" in the title.

Also, given the recurring confusion that I believe that is caused by the current title wherein people are under the (false) impression that the Bearer spec defines bearer tokens, rather than defines *how to use* bearer tokens, I'm planning to add the word "Usage" to the title.  Thus, the new title will be:
                The OAuth 2.0 Authorization Framework: Bearer Token Usage

This fits well with the text in the abstract that begins with "This specification describes *how to use* bearer tokens".

I don't believe this should be controversial, but I wanted to inform the working group of this pending change before it happens.

                                                                Best wishes,
                                                                -- Mike